jQuery( document ).ready( function( $ ) {

	'use strict';

	/*/////////////////////////////////////
	////////// Delete Operations //////////
	/////////////////////////////////////*/

	var delete_array = [];

	// Select All
	$( '#cb-select-all' ).on( 'change', function() {

		if ( this.checked ) {

			$( '.cb-id-selector' ).each( function() {

				var delete_id = $( this ).data( 'id' );

				if ( jQuery.inArray( delete_id, delete_array ) == -1 ) {

					delete_array.push( delete_id );

				}

			} );

		} else {

			delete_array = [];

		}

	} );

	// Select Individual
	$( '.cb-id-selector' ).each( function() {

    $( this ).on( 'change', function() {

			var delete_id = $( this ).data( 'id' );

			if ( this.checked ) {

				if ( jQuery.inArray( delete_id, delete_array ) == -1 ) {

					delete_array.push( delete_id );

				}

	    } else {

				delete_array = jQuery.grep( delete_array, function( value ) {

					return value != delete_id;

				} );

	    }

    } );

	} );

	// Delete Single
	$( '.submitdelete' ).on( 'click', function() {

		return window.confirm( $( '#sba_confirm' ).val() );

	} );

	// Delete Selected
	$( '.delete-selected' ).on( 'click', function( e ) {

		e.preventDefault();

		if ( delete_array.length ) {

			window.confirm( $( '#sba_confirm' ).val() );
			window.location.href = 'admin.php?page=sba-menu-page&action=delete&id=' + delete_array.toString();

		} else {

			alert( $( '#sba_no_items' ).val() )

		}

	} );

	/*/// END - Delete Operations ///*/

	/*///////////////////////////////////////
	////////// Checkbox Operations //////////
	///////////////////////////////////////*/

	var sba_page_checkbox_item = '.sba_page_checkbox';
	var sba_page_checkbox_all = '#sba_page_list_all';
	var sba_category_checkbox_item = '.sba_category_checkbox';
	var sba_category_checkbox_all = '#sba_category_list_all';
	var sba_other_checkbox_item = '.sba_other_checkbox';
	var sba_other_checkbox_all = '#sba_other_list_all';

	search_bar_ads_check_process( sba_page_checkbox_item, sba_page_checkbox_all );
	search_bar_ads_check_process( sba_category_checkbox_item, sba_category_checkbox_all );
	search_bar_ads_check_process( sba_other_checkbox_item, sba_other_checkbox_all );

	function search_bar_ads_check_select_all( single, all ) {

		if ( $( single + ':checked' ).length == $( single ).length ) {

			$( all ).prop( 'checked', true );

		}

	}

	function search_bar_ads_check_process( single, all ) {

		$( all ).change( function() {

			$( single ).prop( 'checked', $( this ).prop( 'checked' ) );

		} );

		$( single ).change( function() {

			if ( $( this ).prop( 'checked' ) == false ) {

				$( all ).prop( 'checked', false );

			}

			search_bar_ads_check_select_all( single, all );

		} );

		search_bar_ads_check_select_all( single, all );

	}

	/*/// END - Checkbox Operations ///*/

} );
