<?php

global $wpdb;

$table_name = $wpdb->prefix . 'search_bar_ads';
$ads = $wpdb->get_results( "SELECT * FROM $table_name ORDER BY ID DESC" );
$possible_ads = [];

foreach ( $ads as $ad ) {

  if ( is_page() ) {

    // Pages
    global $post;
    $current_page_ids = explode( ',', $ad->sba_page_list );

    if ( in_array( $post->ID, $current_page_ids ) && $ad->sba_status ) {

      array_push( $possible_ads, array( 'text' => $ad->sba_text, 'url' => $ad->sba_url, 'tracker' => $ad->sba_tracker ) );

    }

  } else if ( is_shop() ) {

    // Shop Page
    if ( $ad->sba_shop_page && $ad->sba_status ) {

      array_push( $possible_ads, array( 'text' => $ad->sba_text, 'url' => $ad->sba_url, 'tracker' => $ad->sba_tracker ) );

    }

  } else if ( is_product_category() ) {

    // Product Categories
    $category = get_queried_object();
    $current_category_ids = explode( ',', $ad->sba_category_list );

    if ( in_array( $category->term_id, $current_category_ids ) && $ad->sba_status ) {

      array_push( $possible_ads, array( 'text' => $ad->sba_text, 'url' => $ad->sba_url, 'tracker' => $ad->sba_tracker ) );

    }

  } else if ( is_product() ) {

    // Product Pages
    if ( $ad->sba_product_pages && $ad->sba_status ) {

      array_push( $possible_ads, array( 'text' => $ad->sba_text, 'url' => $ad->sba_url, 'tracker' => $ad->sba_tracker ) );

    }

  } else if ( is_home() ) {

    // Blog Homepage
    if ( $ad->sba_homepage && $ad->sba_status ) {

      array_push( $possible_ads, array( 'text' => $ad->sba_text, 'url' => $ad->sba_url, 'tracker' => $ad->sba_tracker ) );

    }

  } else {

    // Everywhere Else
    if ( $ad->sba_everywhere_else && $ad->sba_status ) {

      array_push( $possible_ads, array( 'text' => $ad->sba_text, 'url' => $ad->sba_url, 'tracker' => $ad->sba_tracker ) );

    }

  }

}

$search_bar_ads_text = '';
$search_bar_ads_link = '';

if ( $possible_ads ) {

  $random_num = mt_rand( 0, sizeof( $possible_ads ) - 1 );

  $search_bar_ads_text = $possible_ads[$random_num]['text'];
  $search_bar_ads_link = $possible_ads[$random_num]['url'] . $possible_ads[$random_num]['tracker'];

}

?>
