<div class="wrap">
  <h1><?php echo esc_html( $page_title ); ?></h1>
  <?php if ( $created ) { ?>
    <div id="message" class="notice notice-success is-dismissible"><p><?php echo esc_html__( 'Created.', 'search-bar-ads' ); ?></p></div>
  <?php } ?>
  <?php if ( $saved ) { ?>
    <div id="message" class="notice notice-success is-dismissible"><p><?php echo esc_html__( 'Saved.', 'search-bar-ads' ); ?></p></div>
  <?php } ?>
  <form method="POST" action="?page=sba-new-ad<?php if ( $editing ) { echo '&action=edit&id=' . $ad->id . '&saved=1'; } else { echo '&created=1'; } ?>">
    <table class="form-table">
  		<tbody>
        <tr class="form-field">
    			<th scope="row">
            <label><?php echo esc_html__( 'Ad Text', 'search-bar-ads' ); ?></label>
          </th>
    			<td>
            <input type="text" name="sba_text" value="<?php echo esc_attr( $default_text ); ?>" required />
            <p class="description"><?php echo esc_html__( 'Your visitors see this text in the search field by default.', 'search-bar-ads' ); ?></p>
          </td>
  		  </tr>
        <tr class="form-field">
    			<th scope="row">
            <label><?php echo esc_html__( 'Ad URL', 'search-bar-ads' ); ?></label>
          </th>
    			<td>
            <input type="url" name="sba_url" value="<?php echo esc_url( $default_url ); ?>" required />
            <p class="description"><?php echo esc_html__( 'Full URL address to go on search button click.', 'search-bar-ads' ); ?></p>
          </td>
  		  </tr>
        <tr class="form-field">
    			<th scope="row">
            <label><?php echo esc_html__( 'Ad Tracker', 'search-bar-ads' ); ?></label>
          </th>
    			<td>
            <input type="text" name="sba_tracker" value="<?php echo esc_attr( $default_tracker ); ?>" />
            <p class="description"><?php echo esc_html__( 'You can add a tracking parameter to the URL.', 'search-bar-ads' ); ?></p>
          </td>
  		  </tr>
        <tr class="form-field">
    			<th scope="row">
            <label><?php echo esc_html__( 'Active?', 'search-bar-ads' ); ?></label>
          </th>
    			<td>
            <input type="checkbox" name="sba_status" value="1" <?php checked( "1", esc_attr( $default_status ) ); ?> />
          </td>
  		  </tr>
      </tbody>
    </table>
    <p>
      <?php include( plugin_dir_path( __FILE__ ) . '/page-list.php' ); ?>
      <?php include( plugin_dir_path( __FILE__ ) . '/category-list.php' ); ?>
      <?php include( plugin_dir_path( __FILE__ ) . '/other-list.php' ); ?>
    </p>
    <p><input type="submit" class="button button-primary" name="sba_submit" value="<?php echo esc_attr( $page_button ); ?>" /></p>
  </form>
</div>
