<div class="wrap">
  <h1><?php echo esc_html__( 'Search Bar Ads Settings', 'search-bar-ads' ); ?></h1>
  <?php if ( $saved ) { ?>
    <div id="message" class="notice notice-success is-dismissible"><p><?php echo esc_html__( 'Changes saved.', 'search-bar-ads' ); ?></p></div>
  <?php } ?>
  <form method="POST" action="options.php">
    <?php settings_fields( 'search-bar-ads-settings-group' ); ?>
    <?php do_settings_sections( 'search-bar-ads-settings-group' ); ?>
    <table class="form-table">
  		<tbody>
        <tr class="form-field">
    			<th scope="row">
            <label><?php echo esc_html__( 'Enable Search Bar Ads', 'search-bar-ads' ); ?></label>
          </th>
    			<td>
            <input type="checkbox" name="sba_enabled" value="1" <?php checked( "1", esc_attr( get_option( 'sba_enabled', true ) ) ); ?> />
          </td>
  		  </tr>
        <tr class="form-field">
    			<th scope="row">
            <label><?php echo esc_html__( 'Search Field CSS Selector', 'search-bar-ads' ); ?></label>
          </th>
    			<td>
            <input type="text" name="sba_field_css_selector" value="<?php echo wp_kses_post( get_option( 'sba_field_css_selector' ) ); ?>" />
      			<p class="description"><?php echo esc_html__( 'Locate your search field by its id, class name or any other arguments. e.g. #s, input.search-field, .search-form input[type=\'text\'] etc.', 'search-bar-ads' ); ?></p>
          </td>
  		  </tr>
        <tr class="form-field">
    			<th scope="row">
            <label><?php echo esc_html__( 'Search Button CSS Selector', 'search-bar-ads' ); ?></label>
          </th>
    			<td>
            <input type="text" name="sba_button_css_selector" value="<?php echo wp_kses_post( get_option( 'sba_button_css_selector' ) ); ?>" />
      			<p class="description"><?php echo esc_html__( 'Locate your search button by its id, class name or any other arguments. e.g. #submit, .search-form button.submit, input[type=\'submit\'] etc.', 'search-bar-ads' ); ?></p>
          </td>
  		  </tr>
      </tbody>
    </table>
    <?php submit_button(); ?>
  </form>
</div>
