<div class="wrap">
  <h1><?php echo esc_html__( 'Search Bar Ads', 'search-bar-ads' ); ?></h1>
  <?php if ( $deleted ) { ?>
    <div id="message" class="notice notice-success is-dismissible"><p><?php echo esc_html__( 'Deleted.', 'search-bar-ads' ); ?></p></div>
  <?php } ?>
  <table class="wp-list-table widefat fixed striped">
    <thead>
      <tr>
        <td id="cb" class="manage-column column-cb check-column">
          <input id="cb-select-all" type="checkbox">
        </td>
        <th scope="col" id="sba_column_text"><?php echo esc_html__( 'Text', 'search-bar-ads' ); ?></th>
        <th scope="col" id="sba_column_url"><?php echo esc_html__( 'URL', 'search-bar-ads' ); ?></th>
        <th scope="col" id="sba_column_tracker"><?php echo esc_html__( 'Tracker', 'search-bar-ads' ); ?></th>
        <th scope="col" id="sba_column_status"><?php echo esc_html__( 'Status', 'search-bar-ads' ); ?></th>
      </tr>
    </thead>
    <tbody id="the-list">
      <?php if ( !$ads ) { ?>
        <tr>
          <td colspan="5"><?php echo esc_html__( 'No ads found.', 'search-bar-ads' ); ?></td>
        </tr>
      <?php }
      foreach ( $ads as $ad ) { ?>
        <tr id="post-<?php echo esc_attr( $ad->id ); ?>">
          <th scope="row" class="check-column">
            <input class="cb-id-selector" data-id="<?php echo esc_attr( $ad->id ); ?>" type="checkbox" value="1">
          </th>
          <td class="column-title">
            <strong><a class="row-title" href="admin.php?page=sba-new-ad&action=edit&id=<?php echo esc_attr( $ad->id ); ?>"><?php echo esc_html( $ad->sba_text ); ?></a></strong>
            <div class="row-actions">
              <span class="trash"><a href="admin.php?page=sba-menu-page&action=delete&id=<?php echo esc_attr( $ad->id ); ?>" class="submitdelete"><?php echo esc_html__( 'Delete', 'search-bar-ads' ); ?></a></span>
            </div>
          </td>
          <td class="column-url">
            <a href="<?php echo esc_url( $ad->sba_url ); ?>" target="_blank"><?php echo esc_url( $ad->sba_url ); ?></a>
          </td>
          <td class="column-tracker">
            <?php echo esc_html( $ad->sba_tracker ); ?>
          </td>
          <td class="column-status">
            <?php if ( $ad->sba_status ) { echo esc_html__( 'Active', 'search-bar-ads' ); } else { echo esc_html__( 'Passive', 'search-bar-ads' ); } ?>
          </td>
        </tr>
      <?php } ?>
    </tbody>
  </table>
  <p><a href="admin.php?page=sba-new-ad" class="button button-primary"><?php echo esc_html__( 'Add New', 'search-bar-ads' ); ?></a><a href="#" class="button delete-selected"><?php echo esc_html__( 'Delete Selected', 'search-bar-ads' ); ?></a></p>
  <input id="sba_confirm" type="hidden" value="<?php echo esc_html__( 'Are you sure?', 'search-bar-ads' ); ?>" />
  <input id="sba_no_items" type="hidden" value="<?php echo esc_html__( 'No items selected.', 'search-bar-ads' ); ?>" />
</div>
